// pages/my/index.js
const api = require("../../utils/request.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    total:0,
    avg_score:0,
    pass_rate:0,
    nowWork:'点击选择'
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let userinfo = getApp().globalData.userinfo
    if(userinfo.username){
      userinfo.username = userinfo.username.replace(/(\d{3})(\d{4})(\d{4})/,"$1****$3")
    }
    this.setData({
      userinfo: userinfo
    })
    api.request('/examtest/examtest/fx/', 'GET').then(res => {
     this.setData(res.data)
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  register: function() {
    var that = this
    if (that.data.userinfo.role_name=='游客'){
      wx.reLaunch({
        url: '/pages/login/login2',
      })
    }
  }
})